%global packname  Biostrings
%global Rvers     2.11.0
%global IRange    1.6.6

Name:             R-%{packname}
Version:          2.16.9
Release:          1%{dist}
Summary:          String objects representing biological sequences

Group:            Applications/Engineering 
License:          Artistic 2.0 
URL:              http://bioconductor.org/packages/release/bioc/html/Biostrings.html
Source0:          http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R-core >= %{Rvers} R-methods R-utils R-IRanges >= %{IRange} R-Biobase 
BuildRequires:    R-devel >= %{Rvers} tex(latex) R-methods R-utils R-IRanges-devel >= %{IRange} R-Biobase

%description
Memory efficient string containers, string matching algorithms, and other 
utilities, for fast manipulation of large biological sequences or set of 
sequences.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}


# architecture dependent package
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

# Empty file
rm -f %{buildroot}%{_libdir}/R/library/%{packname}/doc/GenomeSearching.R

%check
# Requires for R-BSgenome which cannot build without R-Biostring
#%%{_bindir}/R CMD check %%{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
#i386 arch
%dir %{_libdir}/R/library/%{packname}/
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/NEWS
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/extdata
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/UnitTests
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE

%files devel
%defattr(-,root,root,-)
%{_libdir}/R/library/%{packname}/include

%changelog
* Tue Sep 07 2010 pingou <pingou@pingoured.fr> 2.16.9-1
- Update to version 2.16.9

* Thu Jul 01 2010 pingou <pingou@pingoured.fr> 2.16.6-1
- Update to version 2.16.6
- Update the url and source to a more stable format

* Sat Jun 05 2010 pingou <pingou@pingoured.fr> 2.16.4-1
- Update to version 2.16.4
- Update to R-2.11.0
- Remove the post/postun scriplet
- Update R and BR to R-core and R-devel

* Tue Mar 02 2010 pingou <pingou@pingoured.fr> 2.14.12-1
- Update to 2.14.12

* Thu Jan 14 2010 pingou <pingou@pingoured.fr> 2.14.10-1
- Update to 2.14.10

* Thu Dec 17 2009 pingou <pingou@pingoured.fr> 2.14.9-2
- Update dependancy to IRanges 1.4.8

* Thu Dec 17 2009 pingou <pingou@pingoured.fr> 2.14.9-1
- Update to 2.14.9

* Fri Dec 04 2009 pingou <pingou@pingoured.fr> 2.14.7-2
- Remove the folder R-ex

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 2.14.7-1
- Update to 2.14.7
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0

* Fri Sep 18 2009 pingou <pingou@pingoured.fr> 2.12.9-1
- Update to 2.12.9

* Sun Aug 23 2009 pingou <pingou@pingoured.fr> 2.12.8-1
- Update to 2.12.8

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 pingou <pingou@pingoured.fr> 2.12.7-1
- Update to 2.12.7
 
* Fri Jun 12 2009 pingou <pingou@pingoured.fr> 2.12.6-1
- Update to 2.12.6

* Wed May 06 2009 pingou <pingou@pingoured.fr> 2.12.1-2
- Solve dependencies issue (Add R-Biobase as R and BR)
/
* Fri May 01 2009 pingou <pingou@pingoured.fr> 2.12.1-1
- Update to 2.12.1

* Tue Apr 28 2009 pingou <pingou@pingoured.fr> 2.12.0-1
- Update to Bioconductor 2.4 for R 2.9.0

* Fri Apr 03 2009 pingou <pingou@pingoured.fr> 2.11.47-1
- Update to the development version of bioconductor

* Wed Apr 01 2009 pingou <pingou -AT- pingoured.fr> 2.10.21-2
- Update URL to remove an unused macro
- Improve english in the comments
- Remove pkgconfig as BR of the -devel

* Fri Mar 13 2009 pingou <pingou -AT- pingoured.fr> 2.10.21-1
- initial package for Fedora
